﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;

namespace XamDataGrid_Test_of_Dynamic_Style
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            TestGrid.DataSource = GenerateTestData();
        }

        private ObservableCollection<Person> GenerateTestData()
        {
            ObservableCollection<Person> people = new ObservableCollection<Person>();

            people.Add(new Person() { Name = "Timmy Bilt", IsManager = false });
            people.Add(new Person() { Name = "Mike Smith", IsManager = false });
            people.Add(new Person() { Name = "Susana McKesson", IsManager = true });
            people.Add(new Person() { Name = "Steven Green", IsManager = false });
            people.Add(new Person() { Name = "Kathy Lowell", IsManager = false });

            return people;
        }

        private void ToggleManager_Click(object sender, RoutedEventArgs e)
        {
            Person person = ((ObservableCollection<Person>)TestGrid.DataSource)[1];

            person.IsManager = !person.IsManager;
        }
    }
}
